Create an output file for an entity. An artist makes an output file from a working file. Give the output type, for example textures or caches. Give the task type to give the department of the file. If revision is 0, the route uses the next revision. An unknown working_file_id is ignored.
Body
Required
-
Output file name
-
Output file mode
Default value is
output. -
Output type identifier
-
Task type identifier
-
Person identifier
-
Source working file identifier
-
File status identifier
-
Output file comment
-
File extension
-
File representation
-
File revision number
-
Number of elements
Default value is
1. -
Path separator
Default value is
/.
POST
/data/entities/{entity_id}/output-files/new
curl
curl -X POST "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/output-files/new" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "main",
"mode": "output",
"output_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"task_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"working_file_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"file_status_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"comment": "Final render",
"extension": ".mp4",
"representation": "mp4",
"revision": 1,
"nb_elements": 1,
"sep": "/"
}'
import requests
url = "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/output-files/new"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "main",
"mode": "output",
"output_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"task_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"working_file_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"file_status_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"comment": "Final render",
"extension": ".mp4",
"representation": "mp4",
"revision": 1,
"nb_elements": 1,
"sep": "/"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"name": "main",
"mode": "output",
"output_type_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"task_type_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"person_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"working_file_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"file_status_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"comment": "Final render",
"extension": ".mp4",
"representation": "mp4",
"revision": 1,
"nb_elements": 1,
"sep": "/"
}
Response examples (201)
{
"id": "b35b7fb5-df86-5776-b181-68564193d360",
"name": "main",
"path": "/project/asset/output/main_v001.mp4",
"revision": 1,
"entity_id": "c46c80c6-e097-6887-c292-79675204e470",
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:30:00Z"
}